#
View Source Ash.Resource.Change.OptimisticLock (ash v2.14.2)

Performs an optimistic lock on the changeset.

See `Ash.Resource.Change.Builtins.optimistic_lock/1` for more.

# Link to this section Summary

## Functions

change(changeset, opts, context)

Callback implementation for `Ash.Resource.Change.change/3`.

init(opts)

Callback implementation for `Ash.Resource.Change.init/1`.

# Link to this section Functions

Link to this function

# change(changeset, opts, context)

View Source

Callback implementation for `Ash.Resource.Change.change/3`.

Link to this function

# init(opts)

View Source

Callback implementation for `Ash.Resource.Change.init/1`.